---
title: Update
url: https://www.tines.com/docs/api/admin/users/update/
updated: 2024-11-15T20:22:42+00:00
description: Update a User.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Users](https://www.tines.com/llm/docs/api/admin/users.md)*

# Update

*[View on tines.com](https://www.tines.com/docs/api/admin/users/update/)*

## Description

Update a User.

## Request

HTTP Method: **PUT**

| Parameter          | Description                                                                                                                                                        |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| email              | **Optional** User email.                                                                                                                                           |
| first_name         | **Optional** User first name.                                                                                                                                      |
| last_name          | **Optional** User last name.                                                                                                                                       |
| admin              | **Optional** Boolean flag indicating whether user should be admin. Default is false.                                                                               |
| tenant_permissions | **Optional** Array of tenant permission names, from the [list of available permissions](https://www.tines.com/docs/admin/user-administration/#tenant-permissions). |
| is_active          | **Optional** Boolean flag indicating whether user should be active. Default is true.                                                                               |

| Path Parameter | Description     |
| -------------- | --------------- |
| user_id        | ID of the user. |

### Sample request

<!-- cspell:disable -->

```bash

curl -X PUT \
  https://<tenant-domain>/api/v1/admin/users/<<user_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
       "admin": true,
       "last_name": "Bloggs"
      }'
```

<!-- cspell:enable -->

## Response

A successful request will return a JSON object describing the updated user.

### Field description

| Parameter          | Description                                                       |
| ------------------ | ----------------------------------------------------------------- |
| id                 | User ID.                                                          |
| scim_uid           | SCIM User ID.                                                     |
| email              | User email.                                                       |
| admin              | Boolean flag indicating whether user is an admin.                 |
| tenant_permissions | Array of tenant permission names.                                 |
| is_active          | Boolean flag indicating whether user is active.                   |
| created_at         | Timestamp describing when the user was created.                   |
| updated_at         | Timestamp describing when the user was last updated.              |
| first_name         | User first name.                                                  |
| last_name          | User last name.                                                   |
| last_seen          | Timestamp describing when the user was last seen in the platform. |

### Sample response

<!-- cspell:disable -->

```json
{
  "id": 3,
  "scim_uid": null,
  "email": "alice@tines.xyz",
  "created_at": "2019-11-03T09:57:49.537Z",
  "updated_at": "2019-11-03T09:57:49.537Z",
  "admin": true,
  "is_active": true,
  "first_name": "Alice",
  "last_name": "Bloggs",
  "last_seen": null,
  "tenant_permissions": null
}
```

<!-- cspell:enable -->
